%{?nodejs_find_provides_and_requires}

%global packagename kind-of
%global enable_tests 1

Name:		nodejs-kind-of
Version:	3.0.2
Release:	3%{?dist}
Summary:	Get the native type of a value

License:	MIT
URL:		https://github.com/jonschlinkert/kind-of.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 3.0.2 release is not yet tagged in github, so we'll pull the test from master
Source1:	https://raw.githubusercontent.com/jonschlinkert/kind-of/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(is-buffer)
BuildRequires:	npm(should)

%endif

%description
Get the native type of a value.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.2-3
- Remove some BuildRequires that are not needed

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.2-2
- Initial packaging
